require "base64"

module SelfPay
  module Auth
    class Basic
      def initialize(user, secret)
        @user = user
        @secret = secret
      end

      def header
        %(Basic #{Base64.strict_encode64("#{@user}:#{@secret}")})
      end
    end
  end
end
