module SelfPay
  class BilletApi
    attr_reader :client

    def initialize(client)
      @client = client
    end

    def create(billet)
      Resource::Billet.new client, client.post("/Billet", billet)
    end

    def show(billet_id)
      Resource::Billet.new client.get("Billet/#{billet_id}")
    end
  end
end
